// studenti.cpp -- Student class using private inheritance
#include "studenti.h"
double Student::Average() const
{
    return ArrayDb::Average();
}

double & Student::operator[](int i)
{
    return  ArrayDb::operator[](i);
}

const double & Student::operator[](int i) const
{
    return ArrayDb::operator[](i);
}

// friends
ostream & operator<<(ostream & os, const Student & stu)
{
    os << "Scores for " << (const String &) stu << ":\n";
    os << (const ArrayDb &) stu;
    return os;
}

istream & operator>>(istream & is, Student & stu)
{
    is >> (String &) stu;
    return is;
}

